# Return external authentication user status

This function determines whether the user enabled external authentication modules.

Endpoint: GET /ExternalAuthentication/has_external_auth_modules_configured
Version: 11.136.0.13
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "has_external_auth_modules_configured"

  - `module` (string)
    The name of the module called.
    Example: "ExternalAuthentication"

  - `result` (object)

  - `result.data` (integer)
    Whether the cPanel user enabled any external modules.

* 1 - Enabled.
* 0 - Not enabled.

Note:

For more information, read our [Password and Security](https://go.cpanel.net/cpaneldocsPasswordoutputampSecurity) and [External Authentication](https://go.cpanel.net/externalauth) FAQ documentation.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


